<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';

user_access('adm_panel_show', null, '/index.php?'.SID);

if (isset($_SESSION['adm_auth']) && $_SESSION['adm_auth']>$time || isset($_SESSION['captcha']) && isset($_POST['chislo']) && $_SESSION['captcha']==$_POST['chislo'])
{
    $_SESSION['adm_auth'] = $time + 600;
    if (isset($_GET['go']) && $_GET['go'] != null)
    {
        header('Location: '.base64_decode($_GET['go']));
        exit;
    }

    $set['title'] = 'Админка';
    include_once '../sys/inc/thead.php';
    title();
    err();
    aut();
    
    $current = $UPDATE_DCMS_SOCIAL->current(); 
    
    if ($current) { ?>
    <div class='update'>
      <?php 
      if ($current['version'] == $set['dcms_version']) {
          ?>
          <span class="success">
            <img src="/style/icons/accept.png" />
            У вас самая свежая версия <b>DCMS-Social <?php echo $set['dcms_version']; ?> <?php echo $set['dcms_state']; ?></b>
          </span>
          <?php
      } elseif ($current['version'] > $set['dcms_version']) {
          ?>
          <span class="warning">
            <img src="/style/icons/cd_burn.png" /> 
            Для вас доступна новая версия <b>DCMS-Social <?php echo $current['version']; ?> <?php echo $current['status']; ?></b>
          </span>
          
          <div class="update-link">
            &raquo; <a target="_blank" href="<?php echo $current['download']; ?>">Скачать <?php echo $current['name']; ?></a> 
            (<?php echo $current['size']; ?>)<br />
            &raquo; <a target="_blank" href="<?php echo $current['update']; ?>">Обновление</a><br />
            &raquo; <a target="_blank" href="<?php echo $current['more']; ?>">Читать подробности</a>
          </div>
          <?php
          if ($current['msg']) {
              ?><div class="update-info"><?php echo $current['msg']; ?></div><?php
          }
      }
      ?>
    </div>  
    <?php } ?>

    <?php if (user_access('adm_info')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/server.png" /> <a href='info.php'>Общая информация</a><br />
        <img src="/style/icons/help.png" /> <a href='http://alex-borisi.ru/dev/social/'>Техническая поддержка</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_statistic')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/chart_pie.png" /> <a href='statistic.php'>Статистика сайта</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_show_adm')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/user_gray.png" /> <a href='administration.php'>Администрация</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_log_read')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/table_multiple.png" /> <a href='adm_log.php'>Действия администрации</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_menu')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/plugin_edit.png" /> <a href='menu.php'>Главное меню</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_rekl')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/page_world.png" /> <a href='rekl.php'>Реклама</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_news')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/feed.png" /> <a href='/news/add.php'>Новости</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_set_sys')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/cog.png" /> <a href='settings_sys.php'>Настройки системы</a><br />
        <img src="/style/icons/style.png" /> <a href='settings_bbcode.php'>Настройки BBcode</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_mysql')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/database_edit.png" /> <a href='mysql.php'>MySQL запросы</a><br />
        <img src="/style/icons/database_add.png" /> <a href='tables.php'>Заливка таблиц</a><br />
      </div>
    <?php } ?>
    
    <?php if ($user['level'] > 3) { ?>
      <div class="admin_menu">
        <img src="/style/icons/ruby.png" /> <a href='/user/gift/create.php'>Подарки</a><br />
        <img src="/style/icons/emoticon_smile.png" /> <a href='smiles.php'>Смайлы</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_set_forum')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/comments.png" /> <a href='settings_forum.php'>Настройки форума</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_set_loads')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/folder_wrench.png" /> <a href='settings_loads.php'>Настройки загрузок</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_set_user')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/group_edit.png" /> <a href='settings_user.php'>Пользовательские настройки</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_accesses')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/group_key.png" /> <a href='adm_accesses.php'>Привилегии групп пользователей</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_banlist')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/group_delete.png" /> <a href='banlist.php'>Список забаненых</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_set_chat')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/comment_edit.png" /> <a href='settings_chat.php'>Настройки чата</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_set_foto')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/images.png" /> <a href='settings_foto.php'>Настройки фотогалереи</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_forum_sinc')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/database_connect.png" /> <a href='forum_sinc.php'>Синхронизация таблиц форума</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_ban_ip')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/zoom_out.png" /> <a href='ban_ip.php'>Бан по IP адресу (диапазону)</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_ip_edit')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/application_form_edit.png" /> <a href='opsos.php'>Редактирование IP операторов</a><br />
      </div>
    <?php } ?>
    
    <?php if (user_access('adm_ref')) { ?>
      <div class="admin_menu">
        <img src="/style/icons/chart_bar.png" /> <a href='referals.php'>Рефералы</a><br />
      </div>
    <?php } ?>
    
    <?php
    $opdirbase = @opendir(H.'sys/add/admin');
    while ($filebase=@readdir($opdirbase))
    if (preg_match('#\.php$#i',$filebase))
    include_once(H.'sys/add/admin/'.$filebase);
    closedir($opdirbase);
}
else
{
    $set['title'] = 'Защита от автоматических изменений';
    include_once '../sys/inc/thead.php';
    title();
    err();
    aut();
    echo "<form method='post' action='?gen=$passgen&amp;".(isset($_GET['go'])?"go=$_GET[go]":null)."'>\n";

    echo "<img src='/captcha.php?$passgen&amp;SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />\nВведите число с картинки:<br //>\n<input name='chislo' size='5' maxlength='5' value='' type='text' /><br/>\n";
    echo "<input type='submit' value='Далее' />\n";
    echo "</form>\n";
}

include_once '../sys/inc/tfoot.php';
?>